// OutputController_7434.h: interface for the COutputController_7434 class.
//
//////////////////////////////////////////////////////////////////////
#pragma once

#include "OutputControllerBase.h"

class CAdlinkCommon;

class COutputController_7434 : public COutputControllerBase
{
public:
    COutputController_7434();
    virtual ~COutputController_7434();

    // method to initialise the output controller card
    int InitCard(int nHardwareIniTypeID, int nHardwareIniTypeCardNo, int* pPhysicalCardID) override;

    // method to close the output controller card
    int CloseCard(int nPhysicalCardID) override;

private:
    std::unique_ptr<CAdlinkCommon> m_pCommon;
};
